/*********************************************************************
 * Copyright (c) 2022 CEA (Commissariat à l'énergie atomique et aux énergies alternatives)
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 **********************************************************************/
package max.core;

import max.core.agent.SimulatedEnvironment;

/**
 * Base class for all kind of events generated by environments.
 *
 * Each event has a source environment.
 *
 * @author Önder Gürcan
 * @author Pierre Dubaillay
 * @author François Le Fevre
 * @since 1.0
 */
public class EnvironmentEvent {

	/** Source of the even. */
	private final SimulatedEnvironment source;
	
	/**
	 * Default constructor.
	 * 
	 * @param source event's source
	 */
	public EnvironmentEvent(SimulatedEnvironment source) {
		this.source = source;
	}

	/**
	 * Gets this event source.
	 *
	 * @return a reference to the source environment
	 */
	public SimulatedEnvironment getSource() {
		return source;
	}

}
